JARS = -classpath `echo ../lib/*.jar . | sed 's/ /:/g'`
JFLAGS = $(JARS) -g
JC = javac
JVM= java
JDOC= javadoc
JAR= jar
JARFLAGS= cmf
MANIFEST= 
JARNAME=
FILE=
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) Client.java

CLASSES = \
        Client.java \
        ClientFrame.java \
        ComboBoxListener.java \
	DataListener.java \
	MsgToReactorControl.java \
	ReactorSwitchListener.java \
	UpdateQueueList.java 	 

MAIN = Client

default: classes

classes: $(CLASSES:.java=.class)

run: $(MAIN).class 
	$(JVM) $(JARS) $(MAIN) $(FILE)

clean:
	$(RM) *.class *~

